<?xml version="1.0" encoding="utf-8"?>

<collectorhub>
  <name>BBoxCollector</name>
  <product>phone</product>
  <platform>qcom</platform>
  <checkPoints>/data/log/reliability/faultdetect/history.log,/data/log/modem_crash,/data/log/reliability/faultdetect/subsystem_qcom.log</checkPoints>
  <dynamicPaths>$SUB_LOG_DIR/last_kmsg,$SUB_LOG_DIR/xbl_abl,$SUB_LOG_DIR/tz_log,$SUB_LOG_DIR/last_xbl_abl,$SUB_LOG_DIR/rainbow_info</dynamicPaths>
  <dynamicPathsBeta>$SUB_LOG_DIR/rawdump.bin</dynamicPathsBeta>
  <dynamicPathsCommercial>None</dynamicPathsCommercial>
  <collectors>
    <collector>
      <name>PanicCollector</name>
      <eventID>901000002</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>PANIC,unknown_addr,undefine_cmd,bad_mode,rw_only,read_unreadable,null_pointer,page_request,SEA,unhandle_fault,SP_PC_AE,spinlock_debug,bug,bug_unavail,out_of_memory,deadlocked_mem,kill_fore_task,combin_key,modem_crash,adsp_crash,wcnss_crash,venus_crash,unknown_reason</matchKeys>
      <intTimeType>0300</intTimeType>
    </collector>
    <collector>
      <name>HardwareWatchdogCollector</name>
      <eventID>901000003</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>HWWATCHDOG,wdog_bite,wdog_bark</matchKeys>
      <intTimeType>0400</intTimeType>
    </collector>
    <collector>
      <name>UnknownFaultCollector</name>
      <eventID>901000004</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>UNKNOWN,W_PS_HOLD</matchKeys>
      <intTimeType>0500</intTimeType>
    </collector>
    <collector>
      <name>HardwareFaultCollector</name>
      <eventID>901000005</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>HARDWARE_FAULT</matchKeys>
      <intTimeType>0600</intTimeType>
    </collector>
    <collector>
      <name>BootloaderCrashCollector</name>
      <eventID>901000006</eventID>
      <dynamicPaths>$AP_LOG_DIR/fastboot_log</dynamicPaths>
      <matchKeys>BOOTLOADER_CRASH</matchKeys>
    </collector>
    <collector>
      <name>TrustzoneRebootsysCollector</name>
      <eventID>901000008</eventID>
      <dynamicPaths>none</dynamicPaths>
      <matchKeys>TRUSTZONE_REBOOTSYS</matchKeys>
      <intTimeType>0D00</intTimeType>
    </collector>
    <collector>
      <name>ModemCrashCollector</name>
      <eventID>901002000</eventID>
      <dynamicPathsCommercial>none</dynamicPathsCommercial>
      <dynamicPathsBeta>none</dynamicPathsBeta>
      <matchKeys>MODEMCRASH</matchKeys>
      <intTimeType>0A00</intTimeType>
    </collector>
    <collector>
      <name>SensorhubCrashCollector</name>
      <eventID>901002002</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>SENSORHUBCRASH</matchKeys>
      <intTimeType>0C00</intTimeType>
    </collector>
    <collector>
      <name>WcnssCrashCollector</name>
      <eventID>901002005</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>CONNEXCEPTION</matchKeys>
      <intTimeType>0H00</intTimeType>
    </collector>
  </collectors>
</collectorhub>
